### Class

# Phosh WallClock

#### Description [src]

    class Phosh.WallClock : GObject.Object
    {
      /* No available fields */
    }

Wall clock used for fetching date and time.

#### Ancestors

- GObject

#### Constructors

###### phosh_wall_clock_new

No description available.

#### Functions

###### phosh_wall_clock_get_default

Get the wall clock singleton.

#### Instance methods

###### phosh_wall_clock_get_clock

Gets the current clock string, if time_only is true this will be just the current time, otherwise the date + time.

###### phosh_wall_clock_local_date

Get the local date as string We honor LC_MESSAGES so we e.g. don’t get a translated date when the user has LC_MESSAGES=en_US.UTF-8 but LC_TIME to their local time zone.

###### phosh_wall_clock_set_default

Set the wall clock singleton. This sets the singleton returned by `phosh_wall_clock_get_default()`.

###### phosh_wall_clock_string_for_datetime

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.WallClock:date-time

No description available.

###### Phosh.WallClock:time

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshWallClockClass {
      GObjectClass parent_class;
      const char* (* get_clock) (
        PhoshWallClock* self,
        gboolean time_only
      );
      gint64 (* get_time_t) (
        PhoshWallClock* self
      );
      void (* _phosh_reserved2) (
    void
      );
      void (* _phosh_reserved3) (
    void
      );
      void (* _phosh_reserved4) (
    void
      );
      void (* _phosh_reserved5) (
    void
      );
      void (* _phosh_reserved6) (
    void
      );
      void (* _phosh_reserved7) (
    void
      );
      void (* _phosh_reserved8) (
    void
      );
      void (* _phosh_reserved9) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_clock: const char* (* get_clock) ( PhoshWallClock* self, gboolean time_only )`

  No description available.

`get_time_t: gint64 (* get_time_t) ( PhoshWallClock* self )`

  No description available.

`_phosh_reserved2: void (* _phosh_reserved2) ( void )`

  No description available.

`_phosh_reserved3: void (* _phosh_reserved3) ( void )`

  No description available.

`_phosh_reserved4: void (* _phosh_reserved4) ( void )`

  No description available.

`_phosh_reserved5: void (* _phosh_reserved5) ( void )`

  No description available.

`_phosh_reserved6: void (* _phosh_reserved6) ( void )`

  No description available.

`_phosh_reserved7: void (* _phosh_reserved7) ( void )`

  No description available.

`_phosh_reserved8: void (* _phosh_reserved8) ( void )`

  No description available.

`_phosh_reserved9: void (* _phosh_reserved9) ( void )`

  No description available.

#### Virtual methods

###### Phosh.WallClockClass.get_clock

Gets the current clock string, if time_only is true this will be just the current time, otherwise the date + time.

###### Phosh.WallClockClass.get_time_t

No description available.